
From: Anton Blanchard <anton@samba.org>

The ppc64 NUMA code has a sign extension problem.  We would sign extend
tmp1 when assigning it to start.  Fix this by making tmp1 unsigned.



 arch/ppc64/mm/numa.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc64/mm/numa.c~ppc64-numa-sign-extension-fix-2 arch/ppc64/mm/numa.c
--- 25/arch/ppc64/mm/numa.c~ppc64-numa-sign-extension-fix-2	2003-12-31 01:42:31.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/numa.c	2003-12-31 01:42:31.000000000 -0800
@@ -107,7 +107,7 @@ static int __init parse_numa_properties(
 	}
 
 	for (; memory; memory = of_find_node_by_type(memory, "memory")) {
-		int *tmp1, *tmp2;
+		unsigned int *tmp1, *tmp2;
 		unsigned long i;
 		unsigned long start = 0;
 		unsigned long size = 0;

_
